/* ==============================================
   BASE RESETS
   ============================================== */
@font-face {
    font-family: 'SF Pro Display';
    src: url('../fonts/sf-pro/SF-Pro.ttf') format('truetype');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'SF Pro Display';
    src: url('../fonts/sf-pro/SF-Pro.ttf') format('truetype');
    font-weight: 200;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'SF Pro Display';
    src: url('../fonts/sf-pro/SF-Pro.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'SF Pro Display';
    src: url('../fonts/sf-pro/SF-Pro-Display-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'SF Pro Display';
    src: url('../fonts/sf-pro/SF-Pro-Display-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'SF Pro Display';
    src: url('../fonts/sf-pro/SF-Pro.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'SF Pro Display';
    src: url('../fonts/sf-pro/SF-Pro.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'SF Pro Display';
    src: url('../fonts/sf-pro/SF-Pro.ttf') format('truetype');
    font-weight: 800;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'SF Pro Display';
    src: url('../fonts/sf-pro/SF-Pro.ttf') format('truetype');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

body {
    background-color: #0F1015;
}

img {
    max-width: 100%;
}

section {
    width: 100%;
}

p:not(:last-child) {
    margin-bottom: 1em;
}

#page-header .header-wrapper {
    box-shadow: 0 1px 3px #070e271f;
}

/* ==============================================
   REUSABLE UI: Tag List
   ============================================== */
.tag-list {
    display: flex;
    gap: 6px;
    flex-wrap: wrap;
}

.tag-list__item {
    padding: 6px 20px;
    color: #FFF;
    font-size: 15px;
    line-height: 20px;
    border-radius: 6px;
    background: #26282F;
}

/* ==============================================
   PAGE WRAPPER
   ============================================== */
.case-study {
    font-family: 'SF Pro Display', sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 22px;
    letter-spacing: -0.24px;
    color: #D1D1D1;
}

.case-study .container {
    max-width: 1400px;
    padding: 0 20px;
    margin: 0 auto;
}

.case-study .container-fluid {
    max-width: 1440px;
    padding: 0;
    margin: 0 auto;
}

.case-study .container-large {
    max-width: 1440px;
    padding: 0 10px;
    margin: 0 auto;
}

.section-title {
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    color: rgba(255, 255, 255, 0.50);
}

.section-subtitle {
    color: #FFF;
    font-size: 20px;
    font-weight: 500;
    line-height: 22px;
}

.hero {
    margin-top: -106px;
    background: linear-gradient(180deg, #0F1015 0%, #000 100%);
}

.hero__wrapper {
    position: relative;
}

.hero__heading {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;

    padding: 0 40px;

    display: flex;
    justify-content: space-between;
}

.hero__heading .section-title {
    color: #ffffff;
}


.overview {
    padding: 100px 0 26px;
    background: linear-gradient(180deg, #000 0%, #0F1015 100%);
}

.overview .section-title {
    margin-bottom: 30px;
}

.overview__info {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: 40px;
}

.overview__intro {
    max-width: 486px;
}

.overview__details {
    max-width: 655px;
}

.overview__meta {
    display: flex;
    gap: 40px;
    justify-content: space-between;
    padding-top: 38px;
    margin-top: 38px;
    border-top: 1px solid #3D424C;
}

.overview__meta-item {
    display: flex;
    flex-direction: column;
    gap: 5px;
    max-width: 180px;
    font-size: 15px;
}

.overview__meta-label {
    color: #979797;
}


.experience {
    margin: 120px 0;
}

.experience__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}

.experience__item {
    border-radius: 12px;
    background: #181921;
    padding: 40px 30px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
}

.experience__item:nth-child(1) {
    background: #26282F;
}

.experience__item:nth-child(1) .section-subtitle {
    margin-bottom: 20px;
}

.experience__item:nth-child(2) {
    padding-bottom: 0;
}

.experience__item:nth-child(3) {
    grid-column: span 2;
    padding-top: 70px;
    padding-bottom: 0;
}

.experience__item:nth-child(3) .before {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.experience__item:nth-child(3) .before svg {
    width: 100%;
}

.experience__item .item--heading {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.experience__item .item-text {
    max-width: 373px;
}

.experience__item:nth-child(2) .item--heading {
    justify-content: flex-end;
}

.experience__item:nth-child(2) .item-image {
    max-width: 409px;
    margin: 0 auto;
}

.experience__item:nth-child(3) .item--heading {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 30px;
    z-index: 2;
}

.experience__item:nth-child(3) .item--heading .text {
    max-width: 317px;
    text-align: right;
}

.experience__item:nth-child(3) .item-image {
    max-width: 851px;
    margin: 0 auto;
    position: relative;
}


.done {
    margin: 120px 0;
}

.done__heading {
    padding: 0 30px;
    margin-bottom: 20px;
}

.done__cards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    margin-bottom: 100px;
}

.done__cards--item {
    border-radius: 12px;
    background: #181921;
    padding: 40px 30px;
}

.done__cards--item .item--heading {
    display: flex;
    align-items: center;
    gap: 16px;
    margin-bottom: 13px;
}

.done__cards--item .item--heading .number {
    color: rgba(255, 255, 255, 0.30);
    font-size: 20px;
    font-weight: 400;
    line-height: 22px;
}

.done__cards--item .text {
    font-size: 15px;
}

.done__cards--item:first-child .text {
    max-width: 369px;
}

.done__image {
    position: relative;
}

.done__image .image--wrapper {
    max-width: 84%;
}

.done__image .image--card {
    position: absolute;
    bottom: 255px;
    right: 7%;
}

.done__image .image--card .image--card-content {
    width: 360px;
    border-radius: 10px;
    background: #20222B;
    padding: 16px;
    display: flex;
    gap: 16px;
    align-items: center;
    position: relative;
    z-index: 3;
}

.done__image .image--card:before {
    content: '';
    width: 312px;
    height: 102px;
    background: rgba(32, 34, 43, 0.60);
    border-radius: 10px;

    position: absolute;
    top: -24px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
}

.done__image .image--card:after {
    content: '';
    width: 264px;
    height: 102px;
    background: rgba(32, 34, 43, 0.20);
    border-radius: 10px;

    position: absolute;
    top: -48px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
}

.done__image .image--card .icon {
    border-radius: 6px;
    padding: 15px;
    background: #333540;
}

.done__image .image--card .section-subtitle {
    font-size: 18px;
    line-height: 20px;
    margin-bottom: 4px;
    letter-spacing: -1px;
}

.done__image .image--card .description {
    color: #A7A9AF;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
}


.solution {
    margin: 120px 0;
}

.solution__heading {
    padding: 0 30px;
    margin-bottom: 20px;
}

.solution__content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    position: relative;
    margin-bottom: 120px;
}

.solution__content .next {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.solution__content--card {
    padding: 80px;
    border-radius: 12px;
    background: #181921;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.solution__content--card .card__heading {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.solution__content--card .card__heading .section-subtitle {
    font-size: 22px;
}

.solution__content--card .card__text {
    color: #A7A9AF;
}

.solution__content--card .card__text p:first-child {
    color: #ffffff;
}

.solution__content--card .card__tags .tag-list__item {
    font-size: 14px;
    padding: 3px 10px;
    color: #A7A9AF;
    background: #262832;
}

.solution__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: 337px;
    gap: 10px;
}

.solution__grid--item {
    border-radius: 12px;
    background: #181921;
    padding: 40px 30px;

    display: flex;
    align-items: center;
    justify-content: center;
}

.solution__grid--item img {
    width: 100%;
}

.solution__grid--item:nth-child(1) {
    align-items: flex-end;
    padding-bottom: 0;
}

.solution__grid--item:nth-child(2) {
    grid-row: span 2;
}

.solution__grid--item:nth-child(1) img {
    max-width: 278px;
}

.solution__grid--item:nth-child(2) img {
    max-width: 500px;
}

.solution__grid--item:nth-child(3) img {
    max-width: 548px;
}


.layout {
    margin: 120px 0;
}

.layout__wrapper {
    border-radius: 12px;
    background: #181921;
    padding: 30px 30px 0 30px;
}

.layout__wrapper .section-title {
    margin-bottom: 60px;
}

.layout__images {
    display: flex;
    gap: 48px;
    align-items: flex-end;
    position: relative;
    padding: 0 34px;
}

.layout__images .info {
    position: absolute;
    left: 50%;
    top: -40px;
    transform: translateX(-35%);
}

.layout__images .info .info__content {
    max-width: 247px;
    padding: 16px;
    border-radius: 10px;
    background: #20222B;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    z-index: 3;
    position: relative;
}

.layout__images .info:before {
    content: '';
    width: 215px;
    height: 102px;
    background: rgba(32, 34, 43, 0.60);
    border-radius: 10px;

    position: absolute;
    top: -20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
}

.layout__images .info:after {
    content: '';
    width: 183px;
    height: 183px;
    background: rgba(32, 34, 43, 0.20);
    border-radius: 10px;

    position: absolute;
    top: -40px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
}

.layout__images .info .icon {
    padding: 15px;
    border-radius: 6px;
    background: #333540;
    margin-bottom: 20px;
}

.layout__images .info .section-subtitle {
    font-size: 18px;
    margin-bottom: 4px;
}

.layout__images .info .text {
    font-size: 14px;
    color: #A7A9AF;
}


.process {
    margin: 120px 0;
}

.process__wrapper {
    display: flex;
    flex-direction: column;
    gap: 80px;
    align-items: center;
}

.process__divider {
    width: 100%;
    max-width: 1220px;
    height: 1px;
    background: #3D424C;
}

.process__item {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.process__item .heading .icon {
    margin-bottom: 40px;
}

.process__item .heading .section-title {
    color: #ffffff;
    margin-bottom: 60px;
}

.process__item .heading .tags {
    gap: 8px;
}

.process__item .heading .tags .tag-list__item {
    border-radius: 6px;
    background: #262832;
    color: #A7A9AF;
    font-size: 14px;
    padding: 3px 9px;
}

.process__item .content {
    max-width: 532px;
}

.process__item .content p:first-child {
    color: #ffffff;
}


.visual {
    margin: 120px 0;
}

.visual__heading {
    padding: 0 30px;
    margin-bottom: 24px;
}

.visual__grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
}

.visual__grid--item {
    padding: 40px;
    border-radius: 12px;
    background: #181921;
    overflow: hidden;
    position: relative;
}

.visual__grid--item.colors {
    grid-row: span 2;
}


.visual__grid--item.colors .colors__wrapper {
    display: flex;
    flex-direction: column;
    gap: 160px;
    align-items: center;
}

.visual__grid--item.colors .colors__blur {
    position: absolute;
    left: 0;
    bottom: 0;
}

.visual__grid--item.colors .colors__grid {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    justify-content: center;
}

.visual__grid--item .colors__grid .colors__grid--item {
    padding: 16px;
    border-radius: 8px;
    background: rgba(255, 255, 255, 0.03);
    display: flex;
    gap: 16px;
    align-items: center;
    color: #FFF;
    font-size: 24px;
    font-weight: 500;
    letter-spacing: -0.24px;
}

.visual__grid--item .colors__grid .colors__grid--spacer {
    width: 50px;
}

.visual__grid--item .colors__grid .colors__grid--item .color {
    width: 36px;
    height: 36px;
    aspect-ratio: 1/1;
    border-radius: 4px;
    border: 1px solid rgba(255, 255, 255, 0.10);
    background: var(--bg-color);
}

.visual__grid--item.font {
    position: relative;
}

.visual__grid--item.font .font__card {
    display: flex;
    justify-content: space-between;
}

.visual__grid--item.font .font__card--title {
    color: #FFF;
}

.visual__grid--item.font .font__card--icon {
    position: absolute;
    left: 36px;
    bottom: -22px;
}

.visual__grid--item.font .font__card--weight {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 8px;
}

.visual__grid--item.font .font__card--weight .weight-item {
    color: #A7A9AF;
    font-size: 24px;
    line-height: normal;
}


.mobile-flow {
    margin: 120px 0;
}


.results {
    margin: 120px 0;
}

.results__heading {
    padding: 0 30px;
    margin-bottom: 20px;
}

.results__row {
    display: flex;
    gap: 10px;
    justify-content: space-between;
    align-items: flex-start;
}

.results__item {
    flex: 1 1;
    border-radius: 12px;
    background: #181921;
}

.results__item:last-child {
    align-self: flex-end;
}

.results__item .content {
    padding: 30px 30px 16px 30px;
}

.results__item .content .title {
    color: #FFF;
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 16px;
    line-height: normal;
}

@media (max-width: 1320px) {
    .solution__content--card {
        padding: 40px;
        gap: 40px;
    }

    .visual__grid--item .colors__grid .colors__grid--spacer {
        display: none;
    }
}

@media (max-width: 1024px) {
    .hero__heading {
        padding: 0 20px;
    }
    .overview__intro {
        max-width: 330px;
    }
    .done__image .image--card {
        bottom: 40%;
        right: 0;
    }
    .process__item .content {
        max-width: 380px;
    }
    .visual__grid--item {
        padding: 20px;
    }
    .visual__grid--item.colors .colors__wrapper {
        gap: 120px;
    }
    .visual__grid--item .colors__grid .colors__grid--item {
        padding: 10px;
        font-size: 20px;
    }
    .visual__grid--item .colors__grid .colors__grid--item .color {
        width: 24px;
        height: 24px;
    }
    .results__item .content {
        padding: 15px 15px 10px 15px;
    }
    .results__item .content .title {
        font-size: 22px;
    }
}

@media (max-width: 768px) {
    .hero__image {
        max-height: 700px;
        overflow: hidden;
    }
    .hero__image img {
        aspect-ratio: 15 / 20;
        object-fit: cover;
        object-position: 30%;
        margin-bottom: 80px;
    }
    .hero__heading {
        padding: 20px;
        background: #010101;
    }
    .hero__heading .section-title:last-child {
        text-align: right;
    }
    .section-title {
        font-size: 24px;
    }

    .tag-list__item {
        padding: 6px 19px;
        font-size: 14px;
    }

    .overview__info,
    .overview__meta,
    .process__item,
    .results__row {
        flex-direction: column;
    }

    .experience,
    .done,
    .solution,
    .layout,
    .process,
    .visual,
    .mobile-flow,
    .results {
        margin: 60px 0;
    }

    .overview {
        padding: 60px 0 0;
    }

    .overview__intro {
        max-width: 100%;
    }

    .overview__meta {
        gap: 20px;
        padding-top: 24px;
        margin-top: 24px;
    }

    .experience__grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .experience__item {
        padding: 20px;
        gap: 20px;
    }

    .experience__item:nth-child(2) .item--heading {
        justify-content: flex-start;
    }

    .experience__item:nth-child(2) .item-image {
        max-width: 260px;
    }

    .experience__item:nth-child(3) {
        grid-column: span 1;
        padding-left: 0;
    }

    .experience__item:nth-child(3) .item--heading {
        position: static;
        padding: 0 0 0 20px;
        flex-direction: column;
        gap: 20px;
        align-items: flex-start;
    }

    .experience__item:nth-child(3) .item--heading .text {
        max-width: 100%;
        text-align: left;
    }

    .experience__item:nth-child(3) .item-image img {
        aspect-ratio: 1 / 1.1;
        object-fit: cover;
        object-position: top right;
    }

    .done__cards {
        grid-template-columns: repeat(1, 1fr);
    }

    .done__cards--item {
        padding: 20px;
    }

    .done__cards--item .item--heading .number,
    .done__cards--item .item--heading .section-subtitle {
        font-size: 18px;
    }

    .done__image .image--card {
        top: 48px;
        bottom: auto;
        right: 0;
        left: 0;
    }

    .done__image .image--card .image--card-content {
        width: 100%;
        max-width: 335px;
        margin: 0 auto;
    }

    .done__image .image--wrapper {
        max-width: 100%;
        padding-top: 180px;
    }

    .done__image .image--wrapper img {
        aspect-ratio: 1 / 1.2;
        object-fit: cover;
    }

    .solution__content {
        grid-template-columns: repeat(1, 1fr);
        margin-bottom: 60px;
    }

    .solution__grid {
        display: flex;
        flex-direction: column;
    }

    .solution__grid--item {
        padding: 20px;
    }

    .solution__grid--item:nth-child(1) img {
        max-width: 156px;
    }

    .solution__grid--item:nth-child(2) {
        grid-row: span 1;
    }

    .solution__grid--item:nth-child(1)  {
        order: 1;
    }

    .solution__grid--item:nth-child(2)  {
        order: 3;
        padding: 30px 40px;
    }

    .solution__grid--item:nth-child(3)  {
        order: 2;
        min-height: 185px;
    }

    .solution__content--card {
        padding: 20px;
        gap: 32px;
    }

    .solution__content .next {
        transform: translate(-50%, -20%) rotate(90deg);
    }

    .layout__wrapper {
        padding: 20px 20px 0 20px;
    }

    .layout__images {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        padding: 0;
        gap: 0;
    }

    .layout__images .info {
        position: relative;
        order: 1;
        transform: none;
        margin: 0 20px 25px 0;
        left: 0;
        top: 0
    }

    .layout__images .info .info__content {
        padding: 12px;
    }

    .layout__images .info .icon {
        padding: 10px;
        margin-bottom: 16px;
    }

    .layout__images .info .icon svg {
        width: 21px;
        height: 21px;
    }

    .layout__images .info:before {
        width: 90px;
        top: -10px;
    }

    .layout__images .info:after {
        width: 58px;
        top: -20px;
    }

    .layout__images .desktop {
        order: 3;
        grid-column: span 2;
        margin-top: -5px;
    }

    .layout__images .mobile {
        order: 2;
    }

    .process__wrapper {
        gap: 40px;
    }

    .process__item {
        align-items: flex-start;
        gap: 32px;
    }

    .process__item .heading .icon {
        margin-bottom: 20px;
    }

    .process__item .heading .icon svg {
        width: 64px;
        height: 64px;
    }

    .process__item .heading .section-title {
        margin-bottom: 20px;
    }

    .visual__heading {
        padding: 0;
        margin-bottom: 20px;
    }

    .visual__grid--item.colors .colors__wrapper {
        flex-direction: column-reverse;
        gap: 20px;
        align-items: flex-start;
    }

    .visual__grid--item.colors .colors__spacer {
        display: none;
    }

    .visual__grid--item.colors .colors__grid {
        gap: 6px;
    }

    .visual__grid--item .colors__grid .colors__grid--item .color {
        width: 28px;
        height: 28px;
    }

    .visual__grid--item .colors__grid .colors__grid--item {
        padding: 16px;
        font-size: 18px;
        width: calc(50% - 3px);
    }

    .visual__grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .visual__grid--item.colors {
        grid-row: span 1;
    }

    .visual__grid--item.font .font__card {
        flex-direction: column;
        gap: 40px;
    }

    .visual__grid--item.font .font__card--icon {
        position: absolute;
        left: 20px;
        bottom: 20px;
    }

    .visual__grid--item.font .font__card--icon svg {
        width: 136px;
        height: 95px;
    }

    .mobile-flow .container-large {
        padding: 0;
    }

    .results__heading {
        padding: 0;
    }
}